curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Upload an Individual Avatar
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact individual identifier.
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
When true, this is the primary record for the contact.
When true, this record is eligible to be made the primary one.
When true, this is the secondary record for the contact.
When true, this record is eligible to be made the secondary one.
Show child attributes
Show child attributes
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
The custom field values stored on the record.
Show child attributes
Show child attributes
The custom collection instances stored on the record.
Show child attributes
Show child attributes
Was this page helpful?